Subject: [core] link-format clarification: URI-reference as attribute value

From: Peter Bigot <[email-masked]>
Date: Sat, 17 Jul 2010 19:56:11 -0500

Since comma and semicolon are both valid pchars within a URI per RFC3986,
the values of the d= and sh= attributes must be enclosed in angle brackets
or double-quotes to avoid ambiguity.  The value for these attributes should
also probably be URI-reference rather than URI, otherwise the example
showing "sh=/l" is not valid as it lacks a scheme.

      link-param        = ( ( "d" "=" <"> URI-reference <"> )
                        | ( "sh" "=" <"> URI-reference <"> )
      ...

(Also note the mis-capitalization of URI-reference in the link-value rule.)

Peter